$breakpoints: (
  phone-down: '(max-width: 480px)',
  phone-up: '(min-width: 481px)',
  tablet-down: '(max-width: 960px)',
  tablet-up: '(min-width: 961px)',
  iphone: '(device-width: 375px) and (device-height: 810px) and (-webkit-device-pixel-ratio: 2) and (orientation : portrait)',
);

/// @access public
/// @param {String} $breakpoint
/// @requires $breakpoints

@mixin responsive($breakpoint) {
    $querys: map-get($breakpoints, $breakpoint);
  
    @if $querys {
      $query: if(
          type-of($querys) == 'string',
          unquote($querys),
          inspect($querys)
      );
  
      @media screen and #{$query} {
        @content;
      }
    }
  }